Skip to main content
GET
/
compute
/
v1
/
instances
curl -X GET "https://api.case.dev/compute/v1/instances" \ -H "Authorization: Bearer $CASEDEV_API_KEY"
{
  "instances": [
    {
      "id": "gpu_abc123",
      "name": "ocr-processing",
      "status": "running",
      "ip": "143.198.54.123",
      "instanceType": "gpu_1x_a10",
      "region": "us-west-1",
      "pricePerHour": "$0.60",
      "gpu": "1x A10 (24 GB)",
      "startedAt": "2025-01-15T10:00:00Z",
      "totalRuntimeSeconds": 1800,
      "totalCost": "$0.30",
      "createdAt": "2025-01-15T10:00:00Z"
    }
  ],
  "count": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Response

Instances retrieved successfully

instances
object[]
count
integer